nbdkit (1.42.6-1ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build
      - 0008-skip-test-file-block-without-losetup.patch
      - 0009-skip-tests-failing-in-build-env.patchenvironment
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Aug 2025 13:49:51 +0200

nbdkit (1.42.6-1) unstable; urgency=medium

  * New upstream version 1.42.6

 -- Hilko Bengen <bengen@debian.org>  Tue, 29 Jul 2025 21:21:44 +0200

nbdkit (1.42.4-1ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build
      - 0008-skip-test-file-block-without-losetup.patch
      - 0009-skip-tests-failing-in-build-env.patchenvironment
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 10:15:26 +0200

nbdkit (1.42.4-1) unstable; urgency=medium

  * New upstream version 1.42.4
  * Rebase patches

 -- Hilko Bengen <bengen@debian.org>  Sun, 15 Jun 2025 18:19:36 +0200

nbdkit (1.42.3-1ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build
      - 0008-skip-test-file-block-without-losetup.patch
      - 0009-skip-tests-failing-in-build-env.patchenvironment
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 May 2025 13:59:51 +0200

nbdkit (1.42.3-1) unstable; urgency=medium

  * New upstream version 1.42.3

 -- Hilko Bengen <bengen@debian.org>  Sun, 25 May 2025 14:48:44 +0200

nbdkit (1.42.2-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build
      - 0008-skip-test-file-block-without-losetup.patch
      - 0009-skip-tests-failing-in-build-env.patchenvironment
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Apr 2025 16:53:37 +0200

nbdkit (1.42.2-1) unstable; urgency=medium

  * New upstream version 1.42.2
  * Rebase patches
  * Update Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Tue, 01 Apr 2025 10:35:05 +0200

nbdkit (1.42.1-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build
      - 0008-skip-test-file-block-without-losetup.patch
      - 0009-skip-tests-failing-in-build-env.patchenvironment
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Mar 2025 08:12:59 +0100

nbdkit (1.42.1-1) unstable; urgency=medium

  * New upstream version 1.42.1
  * Rebase patches

 -- Hilko Bengen <bengen@debian.org>  Wed, 05 Mar 2025 00:11:13 +0100

nbdkit (1.42.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - omit tests failing in Ubuntu build
      - 0008-skip-test-file-block-without-losetup.patch
      - 0009-skip-tests-failing-in-build-env.patchenvironment
      - d/control: don't depend on linux-* packages

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 19 Feb 2025 19:03:42 -0600

nbdkit (1.42.0-1) unstable; urgency=medium

  * New upstream version 1.42.0
  * Rebase patches

 -- Hilko Bengen <bengen@debian.org>  Thu, 13 Feb 2025 12:19:51 +0100

nbdkit (1.40.5-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build
      - 0008-skip-test-file-block-without-losetup.patch
      - 0009-skip-tests-failing-in-build-env.patchenvironment
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 07:03:18 +0100

nbdkit (1.40.5-1) unstable; urgency=medium

  * New upstream version 1.40.5

 -- Hilko Bengen <bengen@debian.org>  Wed, 12 Feb 2025 21:38:11 +0100

nbdkit (1.40.4-11ubuntu3) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2025 05:18:57 +0100

nbdkit (1.40.4-11ubuntu2) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build
      - 0008-skip-test-file-block-without-losetup.patch
      - 0009-skip-tests-failing-in-build-env.patchenvironment
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 22 Dec 2024 18:52:01 +0100

nbdkit (1.40.4-11) unstable; urgency=medium

  * Limit blkio to 64 bit architectures

 -- Hilko Bengen <bengen@debian.org>  Fri, 20 Dec 2024 22:39:19 +0100

nbdkit (1.40.4-10) unstable; urgency=medium

  * Fix nbdkit.install. Again.

 -- Hilko Bengen <bengen@debian.org>  Fri, 20 Dec 2024 10:13:43 +0100

nbdkit (1.40.4-9ubuntu4) plucky; urgency=medium

  * Ignore some more new tests failing

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Dec 2024 16:12:53 +0100

nbdkit (1.40.4-9ubuntu3) plucky; urgency=medium

  * Try to ignore blkio plugin on armhf

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Dec 2024 15:37:20 +0100

nbdkit (1.40.4-9ubuntu2) plucky; urgency=medium

  * Fix blkio plugin install path

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Dec 2024 15:30:19 +0100

nbdkit (1.40.4-9ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build
      - 0008-skip-test-file-block-without-losetup.patch
      - 0009-skip-tests-failing-in-build-env.patchenvironment
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Dec 2024 15:28:25 +0100

nbdkit (1.40.4-9) unstable; urgency=medium

  * Fix nbdkit.install

 -- Hilko Bengen <bengen@debian.org>  Fri, 20 Dec 2024 00:06:50 +0100

nbdkit (1.40.4-8) unstable; urgency=medium

  * Try to build vddk plugin on amd64 only
  * Build libblkio plugin

 -- Hilko Bengen <bengen@debian.org>  Thu, 19 Dec 2024 22:36:29 +0100

nbdkit (1.40.4-7) unstable; urgency=medium

  * Reintroduce vddk plugin.
    Thanks to Mathias Gibbens (Closes: #1084855)

 -- Hilko Bengen <bengen@debian.org>  Wed, 18 Dec 2024 22:06:58 +0100

nbdkit (1.40.4-6ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build
      - 0008-skip-test-file-block-without-losetup.patch
      - 0009-skip-tests-failing-in-build-env.patchenvironment
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Dec 2024 21:23:25 +0100

nbdkit (1.40.4-6) unstable; urgency=medium

  * Add patch to fix glibc 2.40 crash on mips64el.
    Thanks to Aurelien Jarno (Closes: #1088290)
  * Revert change preventing tests from being run on mips64el

 -- Hilko Bengen <bengen@debian.org>  Fri, 13 Dec 2024 01:18:28 +0100

nbdkit (1.40.4-5ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build
      - 0008-skip-test-file-block-without-losetup.patch
      - 0009-skip-tests-failing-in-build-env.patchenvironment
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Nov 2024 10:03:50 +0100

nbdkit (1.40.4-5) unstable; urgency=medium

  * Disable luks-related tests (Closes: #1088358)

 -- Hilko Bengen <bengen@debian.org>  Wed, 27 Nov 2024 20:48:55 +0100

nbdkit (1.40.4-4) unstable; urgency=medium

  * Disable running any tests on mips64el to work around #1082751

 -- Hilko Bengen <bengen@debian.org>  Tue, 26 Nov 2024 13:51:00 +0100

nbdkit (1.40.4-3ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build
      - 0008-skip-test-file-block-without-losetup.patch
      - 0009-skip-tests-failing-in-build-env.patchenvironment
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 24 Nov 2024 10:46:24 +0100

nbdkit (1.40.4-3) unstable; urgency=medium

  * Remove libguestfs-tools dependency for i386, armhf

 -- Hilko Bengen <bengen@debian.org>  Sun, 24 Nov 2024 01:51:12 +0100

nbdkit (1.40.4-2) unstable; urgency=medium

  * Disable libguestfs tests on i386, armhf

 -- Hilko Bengen <bengen@debian.org>  Sun, 24 Nov 2024 00:44:27 +0100

nbdkit (1.40.4-1ubuntu2) plucky; urgency=medium

  * No-change rebuild for libperl soname.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Oct 2024 14:32:50 +0200

nbdkit (1.40.4-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build
      - 0008-skip-test-file-block-without-losetup.patch
      - 0009-skip-tests-failing-in-build-env.patchenvironment
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 29 Sep 2024 09:05:54 +0200

nbdkit (1.40.4-1) unstable; urgency=medium

  * New upstream version 1.40.4

 -- Hilko Bengen <bengen@debian.org>  Sat, 28 Sep 2024 13:01:50 +0200

nbdkit (1.40.3-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build
      - 0008-skip-test-file-block-without-losetup.patch
      - 0009-skip-tests-failing-in-build-env.patchenvironment
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Sep 2024 14:09:05 +0200

nbdkit (1.40.3-1) unstable; urgency=medium

  * New upstream version 1.40.3

 -- Hilko Bengen <bengen@debian.org>  Mon, 09 Sep 2024 11:56:52 +0200

nbdkit (1.40.2-2) unstable; urgency=medium

  * Add patch to fix test failure

 -- Hilko Bengen <bengen@debian.org>  Sun, 25 Aug 2024 17:59:41 +0200

nbdkit (1.40.2-1) unstable; urgency=medium

  * New upstream version 1.40.2
  * Update Homepage, Source URLs.
    Thanks to Adrian Bunk (Closes: #1078063)

 -- Hilko Bengen <bengen@debian.org>  Sun, 25 Aug 2024 13:03:16 +0200

nbdkit (1.40.0-1ubuntu2) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build
      - 0008-skip-test-file-block-without-losetup.patch
      - 0009-skip-tests-failing-in-build-env.patchenvironment
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 Aug 2024 21:10:58 +0200

nbdkit (1.40.0-1) unstable; urgency=medium

  * New upstream version 1.40.0
  * Drop nbdkit-plugin-ruby
  * Modify -dev package for individual API manpages

 -- Hilko Bengen <bengen@debian.org>  Mon, 22 Jul 2024 17:50:21 +0200

nbdkit (1.38.3-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build
      - 0008-skip-test-file-block-without-losetup.patch
      - 0009-skip-tests-failing-in-build-env.patchenvironment
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Jul 2024 20:43:32 +0200

nbdkit (1.38.3-1) unstable; urgency=medium

  * New upstream version 1.38.3

 -- Hilko Bengen <bengen@debian.org>  Mon, 22 Jul 2024 11:49:16 +0200

nbdkit (1.38.2-2ubuntu3) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build
      - 0008-skip-test-file-block-without-losetup.patch
      - 0009-skip-tests-failing-in-build-env.patchenvironment
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 19 Jul 2024 11:06:06 +0200

nbdkit (1.38.2-2) unstable; urgency=medium

  * Allow -rpi kernel to be used for running tests on armel (Closes: #1070769)

 -- Hilko Bengen <bengen@debian.org>  Fri, 10 May 2024 12:38:26 +0200

nbdkit (1.38.2-1) unstable; urgency=medium

  * New upstream version 1.38.2
  * Rebase patches

 -- Hilko Bengen <bengen@debian.org>  Wed, 08 May 2024 11:06:53 +0200

nbdkit (1.38.1-1) unstable; urgency=medium

  * New upstream version 1.38.1

 -- Hilko Bengen <bengen@debian.org>  Sun, 21 Apr 2024 18:37:33 +0200

nbdkit (1.38.0-1) unstable; urgency=medium

  * New upstream version 1.38.0
  * Remove __pycache__ directories on clean (Closes: #1047305)
  * Add build-dependencies to test libguestfs backend on loong64.
    Thanks to Dandan Zhang (Closes: #1060136)
  * Update patches
  * Add gcs plugin to install list
  * Fix pkgconf build-dependency

 -- Hilko Bengen <bengen@debian.org>  Fri, 05 Apr 2024 14:51:42 +0200

nbdkit (1.36.3-1ubuntu10) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:11:56 +0000

nbdkit (1.36.3-1ubuntu9) noble; urgency=high

  * No change rebuild against libcurl3t64-gnutls.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 18:18:16 +0100

nbdkit (1.36.3-1ubuntu8) noble; urgency=medium

  * Rebuild against new libguestfs t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Mar 2024 19:24:58 +0100

nbdkit (1.36.3-1ubuntu7) noble; urgency=medium

  * No-change rebuild against libcom-err2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 20:33:51 +0000

nbdkit (1.36.3-1ubuntu6) noble; urgency=medium

  * No-change rebuild against libperl5.38t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 18:21:36 +0000

nbdkit (1.36.3-1ubuntu5) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:07:00 +0000

nbdkit (1.36.3-1ubuntu4) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:13:15 +0100

nbdkit (1.36.3-1ubuntu3) noble; urgency=medium

  * No-change upload to remove support of ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Feb 2024 18:18:24 -0300

nbdkit (1.36.3-1ubuntu2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 20 Jan 2024 18:17:22 +0000

nbdkit (1.36.3-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build environment
      - d/p/0006-skip-test-file-block-without-losetup.patch
      - d/p/0007-skip-tests-failing-in-build-env.patch
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 18 Jan 2024 12:43:10 +0100

nbdkit (1.36.3-1) unstable; urgency=medium

  * New upstream version 1.36.3
  * Rebase patches

 -- Hilko Bengen <bengen@debian.org>  Wed, 17 Jan 2024 20:59:18 +0100

nbdkit (1.36.2-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build environment
      - d/p/0006-skip-test-file-block-without-losetup.patch
      - d/p/0007-skip-tests-failing-in-build-env.patch
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Nov 2023 12:43:08 +0100

nbdkit (1.36.2-1) unstable; urgency=medium

  * New upstream version 1.36.2

 -- Hilko Bengen <bengen@debian.org>  Mon, 27 Nov 2023 21:44:34 +0100

nbdkit (1.36.1-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build environment
      - d/p/0006-skip-test-file-block-without-losetup.patch
      - d/p/0007-skip-tests-failing-in-build-env.patch
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2023 08:50:04 +0200

nbdkit (1.36.1-1) unstable; urgency=medium

  * New upstream version 1.36.1

 -- Hilko Bengen <bengen@debian.org>  Tue, 24 Oct 2023 12:41:36 +0200

nbdkit (1.36.0-1) unstable; urgency=medium

  * New upstream version 1.36.0
  * Update install (nbdkit-ones-plugin)
  * Update cc-plugin CFLAGS patch

 -- Hilko Bengen <bengen@debian.org>  Mon, 09 Oct 2023 08:25:05 +0200

nbdkit (1.34.4-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build environment
      - d/p/0006-skip-test-file-block-without-losetup.patch
      - d/p/0007-skip-tests-failing-in-build-env.patch
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Sep 2023 08:57:45 +0200

nbdkit (1.34.4-1) unstable; urgency=medium

  * New upstream version 1.34.4

 -- Hilko Bengen <bengen@debian.org>  Wed, 27 Sep 2023 10:23:14 +0200

nbdkit (1.34.3-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build environment
      - d/p/0006-skip-test-file-block-without-losetup.patch
      - d/p/0007-skip-tests-failing-in-build-env.patch
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Sep 2023 11:19:58 +0200

nbdkit (1.34.3-1) unstable; urgency=medium

  * New upstream version 1.34.3

 -- Hilko Bengen <bengen@debian.org>  Sun, 10 Sep 2023 18:22:41 +0200

nbdkit (1.34.2-10ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build environment
      - d/p/0006-skip-test-file-block-without-losetup.patch
      - d/p/0007-skip-tests-failing-in-build-env.patch
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 30 Jul 2023 07:26:12 +0200

nbdkit (1.34.2-10) unstable; urgency=medium

  * Really skip test-stdio

 -- Hilko Bengen <bengen@debian.org>  Sat, 29 Jul 2023 11:19:01 +0200

nbdkit (1.34.2-9) unstable; urgency=medium

  * Disable flaky test

 -- Hilko Bengen <bengen@debian.org>  Fri, 28 Jul 2023 22:53:42 +0200

nbdkit (1.34.2-8) unstable; urgency=medium

  * Correct build dependencies, again.

 -- Hilko Bengen <bengen@debian.org>  Fri, 28 Jul 2023 11:32:36 +0200

nbdkit (1.34.2-7ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build environment
      - d/p/0006-skip-test-file-block-without-losetup.patch
      - d/p/0007-skip-tests-failing-in-build-env.patch
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 28 Jul 2023 09:19:16 +0200

nbdkit (1.34.2-7) unstable; urgency=medium

  * Disable gueestfs test again for for mips*, fix typo

 -- Hilko Bengen <bengen@debian.org>  Thu, 27 Jul 2023 21:53:07 +0200

nbdkit (1.34.2-6ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build environment
      - d/p/0006-skip-test-file-block-without-losetup.patch
      - d/p/0007-skip-tests-failing-in-build-env.patch
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Jul 2023 08:01:27 +0200

nbdkit (1.34.2-6) unstable; urgency=medium

  * Disable libguestfs tests on armel

 -- Hilko Bengen <bengen@debian.org>  Thu, 27 Jul 2023 01:17:36 +0200

nbdkit (1.34.2-5ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build environment
      - d/p/0006-skip-test-file-block-without-losetup.patch
      - d/p/0007-skip-tests-failing-in-build-env.patch
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Jul 2023 08:26:12 +0200

nbdkit (1.34.2-5) unstable; urgency=medium

  * Add kernel image dependencies for armel, mips*
  * clean out comments

 -- Hilko Bengen <bengen@debian.org>  Tue, 25 Jul 2023 14:33:30 +0200

nbdkit (1.34.2-4ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build environment
      - d/p/0006-skip-test-file-block-without-losetup.patch
      - d/p/0007-skip-tests-failing-in-build-env.patch
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 23 Jul 2023 09:02:37 +0200

nbdkit (1.34.2-4) unstable; urgency=medium

  * Set LIBGUESTFS_BACKEND_SETTINGS if kvm is not available

 -- Hilko Bengen <bengen@debian.org>  Sat, 22 Jul 2023 12:16:32 +0200

nbdkit (1.34.2-3ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build environment
      - d/p/0006-skip-test-file-block-without-losetup.patch
      - d/p/0007-skip-tests-failing-in-build-env.patch
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 21 Jul 2023 20:10:25 +0200

nbdkit (1.34.2-3) unstable; urgency=medium

  * Require kernels for testing with libguestfs-tools

 -- Hilko Bengen <bengen@debian.org>  Fri, 21 Jul 2023 16:08:23 +0200

nbdkit (1.34.2-2) unstable; urgency=medium

  * Restrict tests using libguestfs via build dependency

 -- Hilko Bengen <bengen@debian.org>  Fri, 21 Jul 2023 14:14:12 +0200

nbdkit (1.34.2-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build environment
      - d/p/0006-skip-test-file-block-without-losetup.patch
      - d/p/0007-skip-tests-failing-in-build-env.patch
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 21 Jul 2023 07:53:48 +0200

nbdkit (1.34.2-1) unstable; urgency=medium

  * New upstream version 1.34.2

 -- Hilko Bengen <bengen@debian.org>  Wed, 19 Jul 2023 23:52:40 +0200

nbdkit (1.34.1-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build environment
      - d/p/0006-skip-test-file-block-without-losetup.patch
      - d/p/0007-skip-tests-failing-in-build-env.patch
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 13 Jun 2023 08:34:34 +0200

nbdkit (1.34.1-1) unstable; urgency=medium

  * New upstream version 1.34.1

 -- Hilko Bengen <bengen@debian.org>  Mon, 12 Jun 2023 18:22:30 +0200

nbdkit (1.34.0-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build environment
      - d/p/0006-skip-test-file-block-without-losetup.patch
      - d/p/0007-skip-tests-failing-in-build-env.patch
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 May 2023 09:00:25 +0200

nbdkit (1.34.0-1) unstable; urgency=medium

  * New upstream version 1.34.0
  * Rebase patches
  * Update build-dependency

 -- Hilko Bengen <bengen@debian.org>  Sat, 15 Apr 2023 19:06:12 +0200

nbdkit (1.32.5-1ubuntu2) lunar; urgency=medium

  * No-change upload to remove support for ruby3.0.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 03 Feb 2023 15:59:48 -0300

nbdkit (1.32.5-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build environment
      - d/p/0006-skip-test-file-block-without-losetup.patch
      - d/p/0007-skip-tests-failing-in-build-env.patch
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jan 2023 12:09:14 +0100

nbdkit (1.32.5-1) unstable; urgency=medium

  * New upstream version 1.32.5

 -- Hilko Bengen <bengen@debian.org>  Wed, 04 Jan 2023 10:09:23 +0100

nbdkit (1.32.4-1ubuntu3) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 26 Dec 2022 17:58:10 +0000

nbdkit (1.32.4-1ubuntu2) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build environment
      - d/p/0006-skip-test-file-block-without-losetup.patch
      - d/p/0007-skip-tests-failing-in-build-env.patch
      - d/control: don't depend on linux-* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 16 Dec 2022 15:35:07 +0100

nbdkit (1.32.4-1) unstable; urgency=medium

  * New upstream version 1.32.4
  * Update patches

 -- Hilko Bengen <bengen@debian.org>  Sat, 19 Nov 2022 17:17:31 +0100

nbdkit (1.32.3-1) unstable; urgency=medium

  * New upstream version 1.32.3
  * Drop patch added in 1.32.2-3 for equivalent upstream change

 -- Hilko Bengen <bengen@debian.org>  Sat, 15 Oct 2022 11:39:01 +0200

nbdkit (1.32.2-3) unstable; urgency=medium

  * Add workaround for curl-based tests (Closes: #1020005)

 -- Hilko Bengen <bengen@debian.org>  Mon, 03 Oct 2022 23:08:08 +0200

nbdkit (1.32.2-2) unstable; urgency=medium

  * debian/docs: Fix README location

 -- Hilko Bengen <bengen@debian.org>  Mon, 29 Aug 2022 09:49:54 +0200

nbdkit (1.32.2-1) unstable; urgency=medium

  * New upstream version 1.32.2
  * Rework patch

 -- Hilko Bengen <bengen@debian.org>  Mon, 29 Aug 2022 00:23:19 +0200

nbdkit (1.30.9-1) unstable; urgency=medium

  * New upstream version 1.30.9
  * Adjust lintian-overrides to changed lintian output format

 -- Hilko Bengen <bengen@debian.org>  Tue, 02 Aug 2022 13:15:16 +0200

nbdkit (1.30.8-1) unstable; urgency=medium

  * New upstream version 1.30.8

 -- Hilko Bengen <bengen@debian.org>  Wed, 20 Jul 2022 23:35:47 +0200

nbdkit (1.30.7-1) unstable; urgency=medium

  * New upstream version 1.30.7
  * Require libtorrent-rasterbar v2

 -- Hilko Bengen <bengen@debian.org>  Mon, 11 Jul 2022 16:29:42 +0200

nbdkit (1.30.6-1) unstable; urgency=medium

  * New upstream version 1.30.6

 -- Hilko Bengen <bengen@debian.org>  Tue, 14 Jun 2022 12:00:40 +0200

nbdkit (1.30.4-1) unstable; urgency=medium

  * New upstream version 1.30.4

 -- Hilko Bengen <bengen@debian.org>  Wed, 27 Apr 2022 10:14:16 +0200

nbdkit (1.30.3-1) unstable; urgency=medium

  * New upstream version 1.30.3

 -- Hilko Bengen <bengen@debian.org>  Tue, 19 Apr 2022 13:35:02 +0200

nbdkit (1.30.2-1) unstable; urgency=medium

  * New upstream version 1.30.2
  * Rebase patches

 -- Hilko Bengen <bengen@debian.org>  Mon, 04 Apr 2022 10:03:51 +0200

nbdkit (1.30.0-1) unstable; urgency=medium

  * New upstream version 1.30.0
  * Rebase patches
  * nbdkit-streaming-plugin has been removed.

 -- Hilko Bengen <bengen@debian.org>  Sun, 27 Feb 2022 22:21:49 +0100

nbdkit (1.28.5-1) unstable; urgency=medium

  * New upstream version 1.28.5

 -- Hilko Bengen <bengen@debian.org>  Tue, 25 Jan 2022 22:28:21 +0100

nbdkit (1.28.4-1) unstable; urgency=medium

  * New upstream version 1.28.4

 -- Hilko Bengen <bengen@debian.org>  Sun, 23 Jan 2022 17:13:10 +0100

nbdkit (1.28.3-2) unstable; urgency=medium

  * Add patch to disable test-delay-close.sh to avoid FTBFS

 -- Hilko Bengen <bengen@debian.org>  Mon, 27 Dec 2021 20:19:37 +0100

nbdkit (1.28.3-1) unstable; urgency=medium

  * New upstream version 1.28.3
  * Add gbp.conf
  * Rebase patches; drop patch that has been integrated upstream

 -- Hilko Bengen <bengen@debian.org>  Mon, 27 Dec 2021 15:10:14 +0100

nbdkit (1.26.6-2) unstable; urgency=medium

  * To avoid FTBFS, add checks for AF_VSOCK support in test scripts

 -- Hilko Bengen <bengen@debian.org>  Mon, 25 Oct 2021 21:37:24 +0200

nbdkit (1.26.6-1) unstable; urgency=medium

  [ Simon McVittie ]
  * d/rules: Specify canonical path to mke2fs (Closes: #992702)

  [ Hilko Bengen ]
  * Add patch to filter out build path from cc plugin (Closes: #992722)
  * New upstream version 1.26.6

 -- Hilko Bengen <bengen@debian.org>  Mon, 27 Sep 2021 13:40:05 +0200

nbdkit (1.26.5-1) unstable; urgency=medium

  * New upstream version 1.26.5
    - Includes fix for CVE-2021-3716
  * Switch to using xorriso instead of genisoimage (Closes: #982239)
  * Add Suggests for external tools used by some plugins

 -- Hilko Bengen <bengen@debian.org>  Thu, 19 Aug 2021 17:23:24 +0200

nbdkit (1.26.3-1) unstable; urgency=medium

  * New upstream version 1.26.3
  * Update install file as gzip and tar plugins have been removed
  * Update build-dependencies for running tests

 -- Hilko Bengen <bengen@debian.org>  Sun, 15 Aug 2021 10:59:36 +0200

nbdkit (1.24.1-2ubuntu5) lunar; urgency=medium

  * Rebuild against new perlapi-5.36.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 05 Nov 2022 09:22:26 +0100

nbdkit (1.24.1-2ubuntu4) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 14:12:04 +0100

nbdkit (1.24.1-2ubuntu3) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 20:09:08 +0000

nbdkit (1.24.1-2ubuntu2) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition, remove ruby2.7 support.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Sat, 04 Dec 2021 00:34:38 -0300

nbdkit (1.24.1-2ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - omit tests failing in Ubuntu build environment
      - d/p/0006-skip-test-file-block-without-losetup.patch
      - d/p/0007-skip-tests-failing-in-build-env.patch
      - d/control: don't depend on linux-* packages

 -- Matthias Klose <doko@ubuntu.com>  Fri, 05 Mar 2021 09:46:00 +0100

nbdkit (1.24.1-2) unstable; urgency=medium

  * Re-enable torrent plugin (Closes: #983735)

 -- Hilko Bengen <bengen@debian.org>  Mon, 01 Mar 2021 17:02:30 +0100

nbdkit (1.24.1-1) unstable; urgency=medium

  * New upstream version 1.24.1
  * Update patches

 -- Hilko Bengen <bengen@debian.org>  Tue, 09 Feb 2021 23:22:05 +0100

nbdkit (1.24.0-5) unstable; urgency=medium

  * Disable more tests which have only failed on buildds

 -- Hilko Bengen <bengen@debian.org>  Sun, 10 Jan 2021 19:17:23 +0100

nbdkit (1.24.0-4) unstable; urgency=medium

  * Disable test which only fails on buildds

 -- Hilko Bengen <bengen@debian.org>  Sun, 10 Jan 2021 18:22:46 +0100

nbdkit (1.24.0-3) unstable; urgency=medium

  * Add patch to call bash for logging

 -- Hilko Bengen <bengen@debian.org>  Sun, 10 Jan 2021 00:26:56 +0100

nbdkit (1.24.0-2) unstable; urgency=medium

  * Fix FTBFS (mistyped install path)

 -- Hilko Bengen <bengen@debian.org>  Sat, 09 Jan 2021 16:59:02 +0100

nbdkit (1.24.0-1) unstable; urgency=medium

  * New upstream version 1.24.0
  * Rebase patches; add patch to fix bashim in test case
  * Add new plugins to install list
  
 -- Hilko Bengen <bengen@debian.org>  Sat, 09 Jan 2021 14:59:51 +0100

nbdkit (1.22.4-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - omit tests failing in Ubuntu build environment
      - d/p/0006-skip-test-file-block-without-losetup.patch
      - d/p/0007-skip-tests-failing-in-build-env.patch
      - d/control: don't depend on linux-* packages
    - Build-depend on dh-python.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Dec 2020 14:49:18 +0100

nbdkit (1.22.4-1) unstable; urgency=medium

  * New upstream version 1.22.4
  * Enable zstd support (build dependency)
  * Add lintian override for binary modules used in compatibility tests

 -- Hilko Bengen <bengen@debian.org>  Tue, 22 Dec 2020 14:46:40 +0100

nbdkit (1.22.3-1.1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
  * omit tests failing in Ubuntu build environment
    - d/p/0006-skip-test-file-block-without-losetup.patch
    - d/p/0007-skip-tests-failing-in-build-env.patch
    - d/control: don't depend on linux-* packages
    - Build-depend on dh-python.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 05 Dec 2020 14:15:18 +0100

nbdkit (1.22.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Temporarily stop building the torrent plugin since
    libtorrent-rasterbar-dev is RC-buggy (see #956285), to allow nbdkit to
    migrate to testing. The torrent plugin has never been available in
    testing, so this does not represent a regression there (Closes: #974574) 

 -- Dominic Hargreaves <dom@earth.li>  Sat, 14 Nov 2020 19:13:45 +0000

nbdkit (1.22.3-1) unstable; urgency=medium

  * New upstream version 1.22.3

 -- Hilko Bengen <bengen@debian.org>  Wed, 23 Sep 2020 11:35:11 +0200

nbdkit (1.22.2-1) unstable; urgency=medium

  * New upstream version 1.22.2
  * Add some build dependencies for running unit tests

 -- Hilko Bengen <bengen@debian.org>  Thu, 17 Sep 2020 16:08:33 +0200

nbdkit (1.22.1-2) unstable; urgency=medium

  * Add missing Breaks/Replaces (Closes: #970135)

 -- Hilko Bengen <bengen@debian.org>  Sat, 12 Sep 2020 15:55:41 +0200

nbdkit (1.22.1-1) unstable; urgency=medium

  * New upstream version 1.22.1
  * Update build dependencies, install lists
  * Rebase patches
  * Add patch for libtorrent/1.2.5
  * Enable libgeustfs debug log for tests

 -- Hilko Bengen <bengen@debian.org>  Thu, 10 Sep 2020 01:15:00 +0200

nbdkit (1.20.6-1) unstable; urgency=medium

  * New upstream version 1.20.6

 -- Hilko Bengen <bengen@debian.org>  Tue, 11 Aug 2020 11:18:28 +0200

nbdkit (1.20.5-1) unstable; urgency=medium

  * New upstream version 1.20.5

 -- Hilko Bengen <bengen@debian.org>  Tue, 14 Jul 2020 09:57:33 +0200

nbdkit (1.20.4-3) unstable; urgency=medium

  * Don't look for mke2fs in /usr/sbin

 -- Hilko Bengen <bengen@debian.org>  Sun, 28 Jun 2020 19:00:09 +0200

nbdkit (1.20.4-2) unstable; urgency=medium

  * Change PATH order, in hope of fixing reproducible build

 -- Hilko Bengen <bengen@debian.org>  Sat, 27 Jun 2020 01:49:49 +0200

nbdkit (1.20.4-1) unstable; urgency=medium

  * New upstream version 1.20.4

 -- Hilko Bengen <bengen@debian.org>  Tue, 23 Jun 2020 09:20:36 +0200

nbdkit (1.20.3-1) unstable; urgency=medium

  * New upstream version 1.20.3

 -- Hilko Bengen <bengen@debian.org>  Thu, 11 Jun 2020 15:17:39 +0200

nbdkit (1.20.2-1) unstable; urgency=medium

  * New upstream version 1.20.2

 -- Hilko Bengen <bengen@debian.org>  Mon, 01 Jun 2020 02:55:36 +0200

nbdkit (1.18.4-1) unstable; urgency=medium

  * New upstream version 1.18.4
  * Make nbdkit Multi-Arch: foreign
  * Lintian: Ignore shared-lib-without-dependency-information
  * Packaging cleanups

 -- Hilko Bengen <bengen@debian.org>  Sun, 03 May 2020 22:04:15 +0200

nbdkit (1.18.3-1) unstable; urgency=medium

  * New upstream version 1.18.3

 -- Hilko Bengen <bengen@debian.org>  Sun, 29 Mar 2020 13:16:54 +0200

nbdkit (1.18.2-1) unstable; urgency=medium

  * New upstream version 1.18.2
  * Install nbdkit binary to /usr/bin (Closes: #954199)
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Wed, 18 Mar 2020 11:48:00 +0100

nbdkit (1.18.0-1) unstable; urgency=medium

  * New upstream version 1.18.0
  * Update install rules (eval plugin)
  * Rebase patches
  * Add configure patch to check for mke2fs in sbin directories

 -- Hilko Bengen <bengen@debian.org>  Fri, 28 Feb 2020 15:56:17 +0100

nbdkit (1.16.2-1ubuntu3) focal; urgency=medium

  [ Rafael David Tinoco ]
  * Sponsoring ruby2.7 transitions

  [ Lucas Kanashiro ]
  * No-change rebuild for ruby2.7

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Mon, 02 Mar 2020 16:35:24 +0000

nbdkit (1.16.2-1ubuntu2) focal; urgency=medium

  * omit tests failing in Ubuntu build environment
    - d/p/0004-skip-test-file-block-without-losetup.patch
    - d/p/0005-skip-tests-failing-in-build-env.patch
    - d/control: don't depend on linux-* packages

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 25 Feb 2020 11:06:19 +0100

nbdkit (1.16.2-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on dh-python.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 00:03:27 -0800

nbdkit (1.16.2-1) unstable; urgency=medium

  * New upstream version 1.16.2
  * Rebase patches

 -- Hilko Bengen <bengen@debian.org>  Wed, 29 Jan 2020 14:49:03 +0100

nbdkit (1.16.1-3ubuntu1) focal; urgency=medium

  * Build-depend on dh-python.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 28 Jan 2020 14:54:33 +0100

nbdkit (1.16.1-3build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:37:32 +0000

nbdkit (1.16.1-3) unstable; urgency=medium

  * Re-add libnbd-dev build-dependency

 -- Hilko Bengen <bengen@debian.org>  Mon, 13 Jan 2020 01:49:05 +0100

nbdkit (1.16.1-2) unstable; urgency=medium

  * Stop distributing the VDDK plugin

 -- Hilko Bengen <bengen@debian.org>  Sun, 12 Jan 2020 19:48:41 +0100

nbdkit (1.16.1-1) unstable; urgency=medium

  * New upstream version 1.16.1
  * Switch Python plugin to Python3 (Closes: #937118)
  * Update install rules

 -- Hilko Bengen <bengen@debian.org>  Sun, 12 Jan 2020 16:36:17 +0100

nbdkit (1.14.2-3) unstable; urgency=medium

  * Add genisoimage build-dependency (Closes: #942390)

 -- Hilko Bengen <bengen@debian.org>  Wed, 16 Oct 2019 09:44:24 +0200

nbdkit (1.14.2-2) unstable; urgency=medium

  * Remove libnbd-dev build-dependency for now (Closes: #941935)

 -- Hilko Bengen <bengen@debian.org>  Tue, 08 Oct 2019 00:15:28 +0200

nbdkit (1.14.2-1) unstable; urgency=medium

  * New upstream version 1.14.2
  * Correct Build-Depends typo

 -- Hilko Bengen <bengen@debian.org>  Sat, 21 Sep 2019 12:35:41 +0200

nbdkit (1.14.1-1) unstable; urgency=medium

  * New upstream version 1.14.1
  * Rebase patch

 -- Hilko Bengen <bengen@debian.org>  Fri, 13 Sep 2019 08:23:32 +0200

nbdkit (1.14.0-2) unstable; urgency=medium

  * Update build-dependencies

 -- Hilko Bengen <bengen@debian.org>  Mon, 09 Sep 2019 20:44:47 +0200

nbdkit (1.14.0-1) unstable; urgency=medium

  * New upstream version 1.14.0
  * Update patches

 -- Hilko Bengen <bengen@debian.org>  Thu, 29 Aug 2019 12:45:13 +0200

nbdkit (1.12.4-1) unstable; urgency=medium

  * New upstream version 1.12.4
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Sat, 27 Jul 2019 11:45:20 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog nbdkit`.
